package cn.chmlfrp.chmlfrpplugin;

import cn.chmlfrp.chmlfrpplugin.app.ApiRequestThread;
import cn.chmlfrp.chmlfrpplugin.app.ProcessChecker;
import cn.chmlfrp.chmlfrpplugin.app.StartFrpc;
import cn.chmlfrp.chmlfrpplugin.app.StopAllFrpc;
import cn.chmlfrp.chmlfrpplugin.app.SystemInfo;
import cn.chmlfrp.chmlfrpplugin.app.TimeAndChatName;
import cn.chmlfrp.chmlfrpplugin.app.WriteFrpc;
import cn.chmlfrp.chmlfrpplugin.entity.ChmlFrpUser;
import com.alibaba.fastjson2.JSONObject;
import java.sql.Date;
import java.sql.Timestamp;
import java.util.Objects;
import java.util.concurrent.atomic.AtomicReference;
import org.bukkit.plugin.java.JavaPlugin;

/* loaded from: ChmlFrpPlugin.class */
public final class ChmlFrpPlugin extends JavaPlugin {
    public void onEnable() {
        GlobalVariables.chmlFrpPlugin = this;
        GlobalVariables.osName = SystemInfo.detectOsName();
        GlobalVariables.osArch = SystemInfo.detectOsArchitecture();
        saveDefaultConfig();
        getCommand("chmlfrp").setExecutor(new Command());
        getCommand("cf").setExecutor(new Command());
        getLogger().info("\n   ____   _                   _   _____                \n  / ___| | |__    _ __ ___   | | |  ___|  _ __   _ __  \n | |     | '_ \\  | '_ ` _ \\  | | | |_    | '__| | '_ \\ \n | |___  | | | | | | | | | | | | |  _|   | |    | |_) |\n  \\____| |_| |_| |_| |_| |_| |_| |_|     |_|    | .__/ \n                                                |_|    \n" + TimeAndChatName.getTimeAndChatName() + "ChmlFrpPlugin已载入到你的Minecraft服务端中");
        if (getConfig().getString("token") != null) {
            String token = getConfig().getString("token");
            ApiRequestThread apiRequestThread = new ApiRequestThread();
            getLogger().info(TimeAndChatName.getTimeAndChatName() + "正在自动登录中");
            AtomicReference<JSONObject> result = new AtomicReference<>(new JSONObject());
            Thread thread = new Thread(() -> {
                result.set(apiRequestThread.sendGetRequest("https://cf-v2.uapis.cn/userinfo?token=" + token));
                if (((JSONObject) result.get()).getInteger("code").intValue() == 200) {
                    JSONObject data = ((JSONObject) result.get()).getJSONObject("data");
                    GlobalVariables.chmlFrpUser = new ChmlFrpUser(data.getInteger("id"), data.getString("username"), data.getString("password"), data.getString("userimg"), data.getString("qq"), data.getString("email"), data.getString("usertoken"), data.getString("usergroup"), data.getInteger("bandwidth"), data.getInteger("tunnel"), data.getString("realname"), data.getInteger("login_attempts"), data.getInteger("integral"), (Date) null, (Timestamp) null, (Date) null, data.getString("t_token"), data.getInteger("realname_count"), data.getLong("total_download"), data.getLong("total_upload"), data.getInteger("tunnelCount"), data.getInteger("totalCurConns"));
                    getLogger().info(TimeAndChatName.getTimeAndChatNameNoRgb() + "自动登录成功, 欢迎你 " + GlobalVariables.chmlFrpUser.getUsername());
                    if (!Objects.equals(getConfig().getString("lanrun"), "false") && GlobalVariables.chmlFrpUser.getUsertoken() != null) {
                        result.set(apiRequestThread.sendGetRequest("https://cf-v1.uapis.cn/api/tunnelinfo.php?id=" + getConfig().getString("lanrun")));
                        if (ProcessChecker.isProcessRunning(((JSONObject) result.get()).getString("tunnel_name"))) {
                            getLogger().info(TimeAndChatName.getTimeAndChatNameNoRgb() + "提交隧道: " + ((JSONObject) result.get()).getString("tunnel_name") + " 失败, 此隧道已运行");
                            return;
                        }
                        JSONObject jsonBody = new JSONObject();
                        if (((JSONObject) result.get()).getInteger("code").intValue() == 200) {
                            jsonBody.put("tunnelid", getConfig().get("lanrun"));
                            jsonBody.put("token", GlobalVariables.chmlFrpUser.getUsertoken());
                            jsonBody.put("tunnelname", ((JSONObject) result.get()).getString("tunnel_name"));
                            jsonBody.put("node", ((JSONObject) result.get()).getString("name"));
                            jsonBody.put("localip", ((JSONObject) result.get()).getString("tunnel_localip"));
                            jsonBody.put("porttype", ((JSONObject) result.get()).getString("tunnel_type"));
                            jsonBody.put("remoteport", ((JSONObject) result.get()).getString("tunnel_dorp"));
                            jsonBody.put("localport", Integer.valueOf(getServer().getPort()));
                            jsonBody.put("encryption", ((JSONObject) result.get()).getString("tunnel_encryption"));
                            jsonBody.put("compression", ((JSONObject) result.get()).getString("tunnel_compression"));
                            jsonBody.put("extraparams", ((JSONObject) result.get()).getString("tunnel_ap"));
                            JSONObject tunnelUpdateResult = apiRequestThread.sendPostRequest("https://cf-v2.uapis.cn/update_tunnel", jsonBody);
                            if (tunnelUpdateResult != null) {
                                if (tunnelUpdateResult.getInteger("code").intValue() == 200) {
                                    WriteFrpc.writeFrpc(((JSONObject) result.get()).getString("tunnel_name"));
                                    StartFrpc.startFrpc(GlobalVariables.chmlFrpUser.getUsertoken(), getConfig().getString("lanrun"));
                                    getLogger().info(TimeAndChatName.getTimeAndChatNameNoRgb() + "已检测服务器端口为: " + getServer().getPort() + " , 已自动修改隧道端口并提交隧道: " + ((JSONObject) result.get()).getString("tunnel_name") + ", 输入指令\"/cf logout [隧道ID]\"以查看日志");
                                    return;
                                }
                                getLogger().info(TimeAndChatName.getTimeAndChatNameNoRgb() + "提交隧道: " + ((JSONObject) result.get()).getString("tunnel_name") + " 失败, " + tunnelUpdateResult.getString("msg"));
                                return;
                            }
                            getLogger().info(TimeAndChatName.getTimeAndChatNameNoRgb() + "提交隧道: " + ((JSONObject) result.get()).getString("tunnel_name") + " 失败, API异常");
                            return;
                        }
                        return;
                    }
                    return;
                }
                getLogger().info(TimeAndChatName.getTimeAndChatNameNoRgb() + "自动登录失败, " + ((JSONObject) result.get()).getString("msg"));
                GlobalVariables.chmlFrpUser = null;
            });
            thread.start();
        }
    }

    public void onDisable() {
        StopAllFrpc.StopAllFrpc();
        getLogger().info(TimeAndChatName.getTimeAndChatNameNoRgb() + "已关闭所有隧道");
        saveConfig();
        getLogger().info(TimeAndChatName.getTimeAndChatNameNoRgb() + "已保存配置文件");
    }
}
